package com.kingdee.eas.custom.integration.feishu;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractFeishuApprovalsViewInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractFeishuApprovalsViewInfo()
    {
        this("id");
    }
    protected AbstractFeishuApprovalsViewInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 审批可见人列表 's null property 
     */
    public FeishuApprovalsInfo getParent()
    {
        return (FeishuApprovalsInfo)get("parent");
    }
    public void setParent(FeishuApprovalsInfo item)
    {
        put("parent", item);
    }
    /**
     * Object:审批可见人列表's 可见人类型property 
     */
    public com.kingdee.eas.custom.integration.feishu.bizEnum.ViewerTypeEnum getViewerType()
    {
        return com.kingdee.eas.custom.integration.feishu.bizEnum.ViewerTypeEnum.getEnum(getString("viewerType"));
    }
    public void setViewerType(com.kingdee.eas.custom.integration.feishu.bizEnum.ViewerTypeEnum item)
    {
		if (item != null) {
        setString("viewerType", item.getValue());
		}
    }
    /**
     * Object: 审批可见人列表 's 查看人 property 
     */
    public com.kingdee.eas.base.permission.UserInfo getViewerUser()
    {
        return (com.kingdee.eas.base.permission.UserInfo)get("viewerUser");
    }
    public void setViewerUser(com.kingdee.eas.base.permission.UserInfo item)
    {
        put("viewerUser", item);
    }
    /**
     * Object: 审批可见人列表 's 部门  property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getViewerDepartment()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("viewerDepartment");
    }
    public void setViewerDepartment(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("viewerDepartment", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("DD5F2CEC");
    }
}